Package org.eclipse.emf.cdo.lm.reviews.provider

# Class ReviewsItemProviderAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.cdo.lm.reviews.util.ReviewsAdapterFactory
org.eclipse.emf.cdo.lm.reviews.provider.ReviewsItemProviderAdapterFactory

All Implemented Interfaces:
  `AdapterFactory`, `ComposeableAdapterFactory`, `IChangeNotifier`, `IChildCreationExtender`, `IDisposable`

public class ReviewsItemProviderAdapterFactory extends ReviewsAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable, IChildCreationExtender
This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Generated

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ReviewsItemProviderAdapterFactory.LMChildCreationExtender`
A child creation extender for the `LMPackage`.

## Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender

`IChildCreationExtender.Descriptor`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IChangeNotifier`
`changeNotifier`
This is used to implement `IChangeNotifier`.
`protected ChildCreationExtenderManager`
`childCreationExtenderManager`
This helps manage the child creation extenders.
`protected CommentItemProvider`
`commentItemProvider`
This keeps track of the one adapter used for all `Comment` instances.
`protected DeliveryReviewItemProvider`
`deliveryReviewItemProvider`
This keeps track of the one adapter used for all `DeliveryReview` instances.
`protected DropReviewItemProvider`
`dropReviewItemProvider`
This keeps track of the one adapter used for all `DropReview` instances.
`protected HeadingItemProvider`
`headingItemProvider`
This keeps track of the one adapter used for all `Heading` instances.
`protected ComposedAdapterFactory`
`parentAdapterFactory`
This keeps track of the root adapter factory that delegates to this adapter factory.
`protected ReviewTemplateItemProvider`
`reviewTemplateItemProvider`
This keeps track of the one adapter used for all `ReviewTemplate` instances.
`protected Collection<Object>`
`supportedTypes`
This keeps track of all the supported types checked by `isFactoryForType`.

### Fields inherited from class org.eclipse.emf.cdo.lm.reviews.util.ReviewsAdapterFactory

`modelPackage, modelSwitch`

## Constructor Summary

Constructors
Constructor
Description
`ReviewsItemProviderAdapterFactory()`
This constructs an instance.

## Method Summary

Modifier and Type
Method
Description
`Object`
`adapt(Object object, Object type)`
`Adapter`
`adapt(Notifier notifier, Object type)`
This implementation substitutes the factory itself as the key for the adapter.
`void`
`addListener(INotifyChangedListener notifyChangedListener)`
This adds a listener.
`Adapter`
`createCommentAdapter()`
This creates an adapter for a `Comment`.
`Adapter`
`createDeliveryReviewAdapter()`
This creates an adapter for a `DeliveryReview`.
`Adapter`
`createDropReviewAdapter()`
This creates an adapter for a `DropReview`.
`Adapter`
`createHeadingAdapter()`
This creates an adapter for a `Heading`.
`Adapter`
`createReviewTemplateAdapter()`
This creates an adapter for a `ReviewTemplate`.
`void`
`dispose()`
This disposes all of the item providers created by this factory.
`void`
`fireNotifyChanged(Notification notification)`
This delegates to `changeNotifier` and to `parentAdapterFactory`.
`List<IChildCreationExtender>`
`getChildCreationExtenders()`
`Collection<?>`
`getNewChildDescriptors(Object object, EditingDomain editingDomain)`
`ResourceLocator`
`getResourceLocator()`
`ComposeableAdapterFactory`
`getRootAdapterFactory()`
This returns the root adapter factory that contains this factory.
`boolean`
`isFactoryForType(Object type)`
`void`
`removeListener(INotifyChangedListener notifyChangedListener)`
This removes a listener.
`void`
`setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)`
This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.emf.cdo.lm.reviews.util.ReviewsAdapterFactory

`createAdapter, createBaselineAdapter, createCommentableAdapter, createEObjectAdapter, createFixedBaselineAdapter, createFloatingBaselineAdapter, createModelElementAdapter, createModuleElementAdapter, createReviewAdapter, createStreamElementAdapter, createSystemElementAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

## Field Details

### parentAdapterFactory

protected ComposedAdapterFactory parentAdapterFactory
This keeps track of the root adapter factory that delegates to this adapter factory.

Generated

### changeNotifier

protected IChangeNotifier changeNotifier
This is used to implement `IChangeNotifier`.

Generated

### childCreationExtenderManager

protected ChildCreationExtenderManager childCreationExtenderManager
This helps manage the child creation extenders.

Generated

### supportedTypes

protected Collection<Object> supportedTypes
This keeps track of all the supported types checked by `isFactoryForType`.

Generated

### commentItemProvider

protected CommentItemProvider commentItemProvider
This keeps track of the one adapter used for all `Comment` instances.

Generated

### headingItemProvider

protected HeadingItemProvider headingItemProvider
This keeps track of the one adapter used for all `Heading` instances.

Generated

### reviewTemplateItemProvider

protected ReviewTemplateItemProvider reviewTemplateItemProvider
This keeps track of the one adapter used for all `ReviewTemplate` instances.

Generated

### deliveryReviewItemProvider

protected DeliveryReviewItemProvider deliveryReviewItemProvider
This keeps track of the one adapter used for all `DeliveryReview` instances.

Generated

### dropReviewItemProvider

protected DropReviewItemProvider dropReviewItemProvider
This keeps track of the one adapter used for all `DropReview` instances.

Generated

## Constructor Details

### ReviewsItemProviderAdapterFactory

public ReviewsItemProviderAdapterFactory()
This constructs an instance.

Generated

## Method Details

### createCommentAdapter

public Adapter createCommentAdapter()
This creates an adapter for a `Comment`.

Overrides:
  `createCommentAdapter` in class `ReviewsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `Comment`
Generated

### createHeadingAdapter

public Adapter createHeadingAdapter()
This creates an adapter for a `Heading`.

Overrides:
  `createHeadingAdapter` in class `ReviewsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `Heading`
Generated

### createReviewTemplateAdapter

public Adapter createReviewTemplateAdapter()
This creates an adapter for a `ReviewTemplate`.

Overrides:
  `createReviewTemplateAdapter` in class `ReviewsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ReviewTemplate`
Generated

### createDeliveryReviewAdapter

public Adapter createDeliveryReviewAdapter()
This creates an adapter for a `DeliveryReview`.

Overrides:
  `createDeliveryReviewAdapter` in class `ReviewsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `DeliveryReview`
Generated

### createDropReviewAdapter

public Adapter createDropReviewAdapter()
This creates an adapter for a `DropReview`.

Overrides:
  `createDropReviewAdapter` in class `ReviewsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `DropReview`
Generated

### getRootAdapterFactory

public ComposeableAdapterFactory getRootAdapterFactory()
This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
Generated

### setParentAdapterFactory

public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
Generated

### isFactoryForType

public boolean isFactoryForType(Object type)

Specified by:
  `isFactoryForType` in interface `AdapterFactory`
Overrides:
  `isFactoryForType` in class `ReviewsAdapterFactory`
Returns:
  whether this factory is applicable for the type of the object.
Generated

### adapt

public Adapter adapt(Notifier notifier, Object type)
This implementation substitutes the factory itself as the key for the adapter.

Specified by:
  `adapt` in interface `AdapterFactory`
Overrides:
  `adapt` in class `AdapterFactoryImpl`
Generated

### adapt

public Object adapt(Object object, Object type)

Specified by:
  `adapt` in interface `AdapterFactory`
Overrides:
  `adapt` in class `AdapterFactoryImpl`
Generated

### getChildCreationExtenders

public List<IChildCreationExtender> getChildCreationExtenders()

Generated

### getNewChildDescriptors

public Collection<?> getNewChildDescriptors(Object object, EditingDomain editingDomain)

Specified by:
  `getNewChildDescriptors` in interface `IChildCreationExtender`
Generated

### getResourceLocator

public ResourceLocator getResourceLocator()

Specified by:
  `getResourceLocator` in interface `IChildCreationExtender`
Generated

### addListener

public void addListener(INotifyChangedListener notifyChangedListener)
This adds a listener.

Specified by:
  `addListener` in interface `IChangeNotifier`
Generated

### removeListener

public void removeListener(INotifyChangedListener notifyChangedListener)
This removes a listener.

Specified by:
  `removeListener` in interface `IChangeNotifier`
Generated

### fireNotifyChanged

public void fireNotifyChanged(Notification notification)
This delegates to `changeNotifier` and to `parentAdapterFactory`.

Specified by:
  `fireNotifyChanged` in interface `IChangeNotifier`
Generated

### dispose

public void dispose()
This disposes all of the item providers created by this factory.

Specified by:
  `dispose` in interface `IDisposable`
Generated